Look up a recipient
Finds a Telegram user at the supplier (cached: 15 minutes when found, 2 minutes when not found).
found: false is not an error. For Premium, eligible: false means it cannot be gifted (for example, Premium is already active).
Limit: 120 requests per minute per project.
Authorization
apiKey X-API-Key<token>
ifk_<clientId>_<secret>, for example ifk_48aa52d67c0fef6decb05b36_lVlZSWKN43sgb2vfEpFbqtzQ0ePNZya6yZr-RmJ4wxo
In: header
Query Parameters
username*string
durov, @durov or https://t.me/durov
Length
1 <= length <= 100product?string
Default
"STARS"Value in
- "STARS"
- "PREMIUM"
months?integer
For PREMIUM: 3, 6 or 12
Value in
- 3
- 6
- 12
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/recipients/lookup?username=string"{ "success": true, "data": { "username": "durov", "found": true, "name": "Pavel Durov", "photoUrl": "https://cdn4.telesco.pe/file/durov.jpg", "eligible": true }, "meta": { "requestId": "9f1c2b7e-3a4d-4e5f-8a6b-7c8d9e0f1a2b", "timestamp": "2026-10-06T09:15:22.481Z", "processingTimeMs": 38 }}